Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7003 - pump fails
Summary: pump fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-15 04:07 UTC by Matt Holiday
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-23 20:51:05 UTC


Attachments (Terms of Use)

Description Matt Holiday 1999-11-15 04:07:32 UTC
Pump failed to work correctly both at home (Bay Netgear router) and at
work (WinNT server).  In the first case, there's some spurious code where
pump sends two discovers -- don't think this is correct per the DHCP
spec, and it confuses the Bay device.  In the second case, pump doesn't
store all the options returned in the response to the discover, so when
it sends a request, and the server doesn't regurgitate all the same data
again, it's lost key info, like the DNS server IP addresses.  I've got a
hack to solve both problems; I now have it working in both locations.
See http://idt.net/~matthewh/pump.diff.

Comment 1 Erik Troan 2000-02-23 20:51:59 UTC
This should all work in pump 0.7.8, available from ftp://people.redhat.com/ewt


Note You need to log in before you can comment on or make changes to this bug.